using skyscraper5.Dvb;
using skyscraper5.Mpeg2;
using skyscraper5.Skyscraper.Plugins;
using skyscraper5.Skyscraper.Text;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace skyscraper8.Ses.Descriptors
{
	[SkyscraperPlugin]
	[UserDefinedDescriptor(0x01, 0x88, "Astra SGT")]
	internal class _0x88_ServiceListNameDescriptor : TsDescriptor
	{
		public _0x88_ServiceListNameDescriptor(byte[] buffer)
		{
			LanguageCode = Encoding.ASCII.GetString(buffer, 0, 3);
			TextualDescription = En300468AnnexATextDecoder.GetInstance().Decode(buffer, 3, buffer.Length - 3);
			Valid = true;
		}

		public string LanguageCode { get; }
		public string TextualDescription { get; }
	}
}
